Subject: bug#35174: emacs-git sha f2d22273599f96a731e23b2f6d7571af8bb7bb3f fails to build

From: Stefan Cocora <[email-masked]>
Date: Sun, 7 Apr 2019 08:57:00 +0100

Thanks for the pointers Noah, I was misreading the build log re "libgnu.a".

The weird part is that a previous(2019-Mar-24) emacs-git build, built
with the same PKGBUILD worked fine, found and built lib/fcntl.c.
- previous successful log build attached to this email

I've ran again, today, the build for emacs-git from the latest HEAD
(0c16bb5a39b38c48374bc3ad4ca99208ff329d46) and it fails in the same way,
it fails to find and build lib/fcntl.c, very weird.

On 4/6/19 20:48, Noam Postavsky wrote:
> Stefan Cocora <[email-masked]> writes:
> 
>> Latest emacs-git from HEAD f2d22273599f96a731e23b2f6d7571af8bb7bb3f
>> fails to build inside an nspawn clean and updated archlinux chroot, with
>> this missing libgnu.a error:
>>
>> ...
>>   GEN      time.h
>>   GEN      unistd.h
>>   AR       libgnu.a
>> ar: fcntl.o: No such file or directory
> 
>> As far as the archlinux package content search is able to find only
>> "extra/clisp" contains this libgnu.a file but even when adding clisp to
>> the depends list emacs-git fails to build.
> 
> libgnu.a is being built, it's not a dependency.  fcntl.o is what's
> missing, it's supposed to be built from lib/fcntl.c.  I'm not sure why
> make is skipping compilation (and for all the other C files in that
> directory).  For reference, I excerpt what the build is supposed to look
> below.  Which makes me notice the archlinux log doesn't seem to have the
> "make[1]: Entering directory ..." part, perhaps that is significant?
> 
> make[1]: Entering directory `/tmp/emacs-master/lib'
>   GEN      alloca.h
>   ...
>   GEN      time.h
>   GEN      unistd.h
>   CC       explicit_bzero.o
>   CC       fcntl.o
>   ...
>   CC       save-cwd.o
>   AR       libgnu.a
> make[1]: Leaving directory `/tmp/emacs-master/lib'
> 
>